#include <stdio.h>
#define  _GNU_SOURCE 1 // for RUSAGE_THREAD
#include <sys/time.h>
#include <sys/resource.h>

#include <pthread.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <linux/sched.h>
#include <sys/timeb.h>
#include <string.h>
#include <locale.h>
void displayUsage(struct rusage *sUsage)
{
	char msg[1024];
	msg[0] = '\0';
	
	sprintf(&(msg[strlen (msg)]), "VOL CONT SWI  %ld\n", sUsage->ru_nvcsw);
	sprintf(&(msg[strlen (msg)]), "IVOL CONT SWI %ld\n", sUsage->ru_nivcsw);
	sprintf(&(msg[strlen (msg)]), "----------------------------------------\n\n");
	
	fprintf(stderr, "%s", msg);
}

int main(int argc, char* argv[])
{
	
	
	struct timeb timeB;
	unsigned long long sum =0;
	time_t startSeconds;
	struct rusage sUsage;

	time_t runTime = atoi(argv[1]);
	int i,k;
	
	ftime(&timeB);
	
	startSeconds = timeB.time;

	do
	{
		k = 0;
		for(i=0;i<100000000;i++)
		{
			k += i % 100000;
			sum += i;
		}
		ftime(&timeB);
	}while(runTime > (timeB.time - startSeconds));
	
	setlocale(LC_NUMERIC, "");
	fprintf(stderr,"\nCPU WORK: %'llu\n", sum);
	getrusage(RUSAGE_SELF, &sUsage);
	displayUsage(&sUsage );

	return 0;
}

