#include <stdio.h>
#define  _GNU_SOURCE 1 // for RUSAGE_THREAD
#include <sys/time.h>
#include <sys/resource.h>

#include <pthread.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <linux/sched.h>
#include <sys/timeb.h>
#include <string.h>

void displayUsage(struct rusage *sUsage)
{
	char msg[1024];
	msg[0] = '\0';
	
	sprintf(&(msg[strlen (msg)]), "VOL CONT SWI  %ld\n", sUsage->ru_nvcsw);
	sprintf(&(msg[strlen (msg)]), "IVOL CONT SWI %ld\n", sUsage->ru_nivcsw);
	sprintf(&(msg[strlen (msg)]), "----------------------------------------\n\n");
	
	fprintf(stderr, "%s", msg);
}

int main(int argc, char* argv[])
{
	struct rusage sUsage;

	int runTime = atoi(argv[1]);
	int j;

	for(j = 0; j < runTime; j++)
	{
		sleep(1);
	}
	
	fprintf(stderr,"\nSLEEP WORK: No work, sleepin'\n");
	getrusage(RUSAGE_SELF, &sUsage);
	displayUsage(&sUsage );

	return 0;
}

